"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConfigHash = void 0;
const utils_1 = require("./utils");
function createConfigHash(config, linterOptions) {
    return '' + utils_1.djb2(JSON.stringify({
        rules: mapToObject(config.rules, stripRuleConfig),
        settings: mapToObject(config.settings, identity),
        ...linterOptions,
    }));
}
exports.createConfigHash = createConfigHash;
function mapToObject(map, transform) {
    const result = {};
    for (const [key, value] of map)
        result[key] = transform(value);
    return result;
}
function identity(v) {
    return v;
}
function stripRuleConfig({ rulesDirectories: _ignored, ...rest }) {
    return rest;
}
//# sourceMappingURL=config-hash.js.map