"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDefaultModule = void 0;
const inversify_1 = require("inversify");
const ymir_1 = require("@fimbul/ymir");
const formatter_loader_host_1 = require("../services/default/formatter-loader-host");
const rule_loader_host_1 = require("../services/default/rule-loader-host");
const resolver_1 = require("../services/default/resolver");
const cache_factory_1 = require("../services/default/cache-factory");
const file_system_1 = require("../services/default/file-system");
const message_handler_1 = require("../services/default/message-handler");
const directory_service_1 = require("../services/default/directory-service");
const deprecation_handler_1 = require("../services/default/deprecation-handler");
const configuration_provider_1 = require("../services/default/configuration-provider");
const line_switches_1 = require("../services/default/line-switches");
const builtin_resolver_1 = require("../services/default/builtin-resolver");
const file_filter_1 = require("../services/default/file-filter");
const state_persistence_1 = require("../services/default/state-persistence");
const content_hasher_1 = require("../services/default/content-hasher");
function createDefaultModule() {
    return new inversify_1.ContainerModule((bind, _unbind, isBound) => {
        if (!isBound(ymir_1.FormatterLoaderHost))
            bind(ymir_1.FormatterLoaderHost).to(formatter_loader_host_1.NodeFormatterLoader);
        if (!isBound(ymir_1.RuleLoaderHost))
            bind(ymir_1.RuleLoaderHost).to(rule_loader_host_1.NodeRuleLoader);
        if (!isBound(ymir_1.Resolver))
            bind(ymir_1.Resolver).to(resolver_1.NodeResolver);
        if (!isBound(ymir_1.CacheFactory))
            bind(ymir_1.CacheFactory).to(cache_factory_1.DefaultCacheFactory);
        if (!isBound(ymir_1.FileSystem))
            bind(ymir_1.FileSystem).to(file_system_1.NodeFileSystem);
        if (!isBound(ymir_1.MessageHandler))
            bind(ymir_1.MessageHandler).to(message_handler_1.ConsoleMessageHandler);
        if (!isBound(ymir_1.DeprecationHandler))
            bind(ymir_1.DeprecationHandler).to(deprecation_handler_1.DefaultDeprecationHandler);
        if (!isBound(ymir_1.DirectoryService))
            bind(ymir_1.DirectoryService).to(directory_service_1.NodeDirectoryService);
        if (!isBound(ymir_1.ConfigurationProvider))
            bind(ymir_1.ConfigurationProvider).to(configuration_provider_1.DefaultConfigurationProvider);
        if (!isBound(ymir_1.FindingFilterFactory))
            bind(ymir_1.FindingFilterFactory).to(line_switches_1.LineSwitchFilterFactory);
        if (!isBound(ymir_1.LineSwitchParser))
            bind(ymir_1.LineSwitchParser).to(line_switches_1.DefaultLineSwitchParser);
        if (!isBound(ymir_1.BuiltinResolver))
            bind(ymir_1.BuiltinResolver).to(builtin_resolver_1.DefaultBuiltinResolver);
        if (!isBound(ymir_1.FileFilterFactory))
            bind(ymir_1.FileFilterFactory).to(file_filter_1.DefaultFileFilterFactory);
        if (!isBound(ymir_1.StatePersistence))
            bind(ymir_1.StatePersistence).to(state_persistence_1.DefaultStatePersistence);
        if (!isBound(ymir_1.ContentId))
            bind(ymir_1.ContentId).to(content_hasher_1.ContentHasher);
    });
}
exports.createDefaultModule = createDefaultModule;
//# sourceMappingURL=default.module.js.map