"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultBuiltinResolver = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const ymir_1 = require("@fimbul/ymir");
const path = require("path");
const utils_1 = require("../../utils");
let DefaultBuiltinResolver = class DefaultBuiltinResolver {
    constructor(resolver) {
        this.resolver = resolver;
    }
    get builtinPackagePath() {
        const resolved = path.dirname(this.resolver.resolve('@fimbul/mimir', path.join(__dirname, '../'.repeat(/*offset to package root*/ 3)), utils_1.emptyArray));
        Object.defineProperty(this, 'builtinPackagePath', { value: resolved });
        return resolved;
    }
    resolveConfig(name) {
        return path.join(this.builtinPackagePath, name + '.yaml');
    }
    resolveRule(name) {
        return path.join(this.builtinPackagePath, `src/rules/${name}.js`);
    }
    resolveFormatter(name) {
        return path.join(this.builtinPackagePath, `src/formatters/${name}.js`);
    }
};
DefaultBuiltinResolver = tslib_1.__decorate([
    inversify_1.injectable(),
    tslib_1.__metadata("design:paramtypes", [ymir_1.Resolver])
], DefaultBuiltinResolver);
exports.DefaultBuiltinResolver = DefaultBuiltinResolver;
//# sourceMappingURL=builtin-resolver.js.map