"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultDeprecationHandler = void 0;
const tslib_1 = require("tslib");
const ymir_1 = require("@fimbul/ymir");
const inversify_1 = require("inversify");
let DefaultDeprecationHandler = class DefaultDeprecationHandler {
    constructor(logger) {
        this.logger = logger;
    }
    handle(target, name, text) {
        this.logger.warn(`${titlecase(target)} '${name}' is deprecated${text ? `: ${text}` : '.'}`);
    }
};
DefaultDeprecationHandler = tslib_1.__decorate([
    inversify_1.injectable(),
    tslib_1.__metadata("design:paramtypes", [ymir_1.MessageHandler])
], DefaultDeprecationHandler);
exports.DefaultDeprecationHandler = DefaultDeprecationHandler;
function titlecase(str) {
    return str.charAt(0).toUpperCase() + str.substr(1);
}
//# sourceMappingURL=deprecation-handler.js.map