"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NodeFormatterLoader = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const ymir_1 = require("@fimbul/ymir");
const utils_1 = require("../../utils");
let NodeFormatterLoader = class NodeFormatterLoader {
    constructor(resolver, builtinResolver) {
        this.resolver = resolver;
        this.builtinResolver = builtinResolver;
    }
    loadCoreFormatter(name) {
        name = this.builtinResolver.resolveFormatter(name);
        try {
            name = this.resolver.resolve(name);
        }
        catch {
            return;
        }
        return this.resolver.require(name).Formatter;
    }
    loadCustomFormatter(name, basedir) {
        try {
            name = this.resolver.resolve(name, basedir, undefined, module.paths.slice(utils_1.OFFSET_TO_NODE_MODULES + 2));
        }
        catch {
            return;
        }
        return this.resolver.require(name).Formatter;
    }
};
NodeFormatterLoader = tslib_1.__decorate([
    inversify_1.injectable(),
    tslib_1.__metadata("design:paramtypes", [ymir_1.Resolver, ymir_1.BuiltinResolver])
], NodeFormatterLoader);
exports.NodeFormatterLoader = NodeFormatterLoader;
//# sourceMappingURL=formatter-loader-host.js.map