"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleMessageHandler = void 0;
const tslib_1 = require("tslib");
const ymir_1 = require("@fimbul/ymir");
const inversify_1 = require("inversify");
const utils_1 = require("../../utils");
let ConsoleMessageHandler = class ConsoleMessageHandler {
    constructor() {
        this.warned = [];
    }
    log(message) {
        console.log(message);
    }
    warn(message) {
        if (utils_1.addUnique(this.warned, message))
            console.warn(message);
    }
    error(e) {
        console.error(e instanceof ymir_1.ConfigurationError ? e.message : e);
    }
};
ConsoleMessageHandler = tslib_1.__decorate([
    inversify_1.injectable()
], ConsoleMessageHandler);
exports.ConsoleMessageHandler = ConsoleMessageHandler;
//# sourceMappingURL=message-handler.js.map