"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormatterLoader = void 0;
const tslib_1 = require("tslib");
const inversify_1 = require("inversify");
const ymir_1 = require("@fimbul/ymir");
let FormatterLoader = class FormatterLoader {
    constructor(host, directories) {
        this.host = host;
        this.directories = directories;
    }
    loadFormatter(name) {
        let formatter;
        if (/^[a-zA-Z-]+$/.test(name))
            formatter = this.host.loadCoreFormatter(name);
        if (formatter === undefined)
            formatter = this.host.loadCustomFormatter(name, this.directories.getCurrentDirectory());
        if (formatter === undefined)
            throw new ymir_1.ConfigurationError(`Cannot find formatter '${name}' relative to '${this.directories.getCurrentDirectory()}'.`);
        return formatter;
    }
};
FormatterLoader = tslib_1.__decorate([
    inversify_1.injectable(),
    tslib_1.__metadata("design:paramtypes", [ymir_1.FormatterLoaderHost, ymir_1.DirectoryService])
], FormatterLoader);
exports.FormatterLoader = FormatterLoader;
//# sourceMappingURL=formatter-loader.js.map