"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProcessorLoader = void 0;
const tslib_1 = require("tslib");
const ymir_1 = require("@fimbul/ymir");
const inversify_1 = require("inversify");
const utils_1 = require("../utils");
let ProcessorLoader = class ProcessorLoader {
    constructor(resolver, cache) {
        this.resolver = resolver;
        this.cache = cache.create();
    }
    loadProcessor(path) {
        return utils_1.resolveCachedResult(this.cache, path, (p) => {
            const result = this.resolver.require(p).Processor;
            if (result === undefined)
                throw new ymir_1.ConfigurationError(`'${p}' has no export named 'Processor'.`);
            return result;
        });
    }
};
ProcessorLoader = tslib_1.__decorate([
    inversify_1.injectable(),
    tslib_1.__metadata("design:paramtypes", [ymir_1.Resolver, ymir_1.CacheFactory])
], ProcessorLoader);
exports.ProcessorLoader = ProcessorLoader;
//# sourceMappingURL=processor-loader.js.map